Bug 1418300 - Provide a RHEVM identifier to be used in the fluentd.conf
Summary: Provide a RHEVM identifier to be used in the fluentd.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Setup.Core
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.1.1
: ---
Assignee: Yedidyah Bar David
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks: oVirt-Metrics-and-Logs
TreeView+ depends on / blocked
 
Reported: 2017-02-01 13:55 UTC by Shirly Radco
Modified: 2017-05-11 09:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 11:03:30 UTC
oVirt Team: Integration
rule-engine: ovirt-4.1?
sradco: planning_ack?
sradco: devel_ack?
sradco: testing_ack?


Attachments (Terms of Use)

Description Shirly Radco 2017-02-01 13:55:09 UTC
Description of problem:

As a requirement of the common data model, each metric needs to have the rhevm identifier, so if data from several rhevm environments is collected to the same central metrics store it will be saved to different indexes and can be used to filter by it.

For that we need to add to the metrics the rhevm identifier to the ansible script and to the fluentd.conf.

The identifier can be:
1. The rhevm fqdn
2. We can generate a random uuid
3. Ask the user to provide the rhev name.

Comment 1 Yaniv Lavi 2017-02-06 11:03:30 UTC
Please open a bug which is not downstream specific.
We can add ovirt engine uuid, but not rhv.


Note You need to log in before you can comment on or make changes to this bug.